Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.DynamicAny
Class DynSequenceHelper

    java.lang.Object
      org.omg.DynamicAny.DynSequenceHelper

    public abstract class DynSequenceHelper

extends Object

DynSequence objects support the manipulation of IDL sequences.

Constructor Summary
`DynSequenceHelper()`

Method Summary
`static DynSequence` | `extract(Any a)`
`static String` | `id()`
`static void` | `insert(Any a, DynSequence that)`
`static DynSequence` | `narrow(Object obj)`
`static DynSequence` | `read(InputStream istream)`
`static TypeCode` | `type()`
`static DynSequence` | `unchecked_narrow(Object obj)`
`static void` | `write(OutputStream ostream, DynSequence value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DynSequenceHelper

    public DynSequenceHelper()

Method Detail

### insert

    public static void insert(Any a,
                              DynSequence that)

### extract

    public static DynSequence extract(Any a)

### type

    public static TypeCode type()

### id

    public static String id()

### read

    public static DynSequence read(InputStream istream)

### write

    public static void write(OutputStream ostream,
                             DynSequence value)

### narrow

    public static DynSequence narrow(Object obj)

### unchecked_narrow

    public static DynSequence unchecked_narrow(Object obj)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2009 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.